Page MenuHomePhabricator

fibers@4.0.3 fails to install in WikibaseMediaInfo
Closed, ResolvedPublic

Description

The following unrelated patches fail CI, for reasons not connected (as far as I can tell) with the patches themselves

https://gerrit.wikimedia.org/r/c/mediawiki/extensions/WikibaseMediaInfo/+/606187
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/WikibaseMediaInfo/+/607550

For example, patch 607550 only makes a couple of small JavaScript changes, but the mwgate-node10-docker/134546 jobs fails with:

...
+ node --version
v10.15.2
+ npm --version
6.14.5
...
> fibers@4.0.3 install /src/node_modules/fibers
> node build.js || nodejs build.js

`linux-x64-64-glibc` exists; testing
Binary is fine; exiting
npm ERR! Cannot read property 'length' of undefined
...

Fibers readme says:

If you are running nodejs v10.x then you will need to use npm install fibers@4

I was able to reproduce the problem on my machine, so it's not a CI problem.

~/Documents/gerrit/mediawiki/core/extensions/WikibaseMediaInfo$ node -v
v10.21.0

~/Documents/gerrit/mediawiki/core/extensions/WikibaseMediaInfo$ npm -v
6.14.4

~/Documents/gerrit/mediawiki/core/extensions/WikibaseMediaInfo$ npm ci
npm WARN prepare removing existing node_modules/ before installation

> ejs@3.1.3 postinstall /Users/z/Documents/gerrit/mediawiki/core/extensions/WikibaseMediaInfo/node_modules/ejs
> node --harmony ./postinstall.js

Thank you for installing EJS: built with the Jake JavaScript build tool (https://jakejs.com/)

> chromedriver@2.46.0 install /Users/z/Documents/gerrit/mediawiki/core/extensions/WikibaseMediaInfo/node_modules/chromedriver
> node install.js

Current existing ChromeDriver binary is unavailable, proceding with download and extraction.
Downloading from file:  https://chromedriver.storage.googleapis.com/2.46/chromedriver_mac64.zip
Saving to file: /var/folders/lp/_zdbscx92l14yr1q1nwjzslm0000gn/T/2.46/chromedriver/chromedriver_mac64.zip
Received 781K...
Received 1566K...
Received 2350K...
Received 3134K...
Received 3918K...
Received 4702K...
Received 5486K...
Received 6270K...
Received 6891K total.
Extracting zip contents
Copying to target path /Users/z/Documents/gerrit/mediawiki/core/extensions/WikibaseMediaInfo/node_modules/chromedriver/lib/chromedriver
Fixing file permissions
Done. ChromeDriver binary available at /Users/z/Documents/gerrit/mediawiki/core/extensions/WikibaseMediaInfo/node_modules/chromedriver/lib/chromedriver/chromedriver

> fibers@4.0.3 install /Users/z/Documents/gerrit/mediawiki/core/extensions/WikibaseMediaInfo/node_modules/fibers
> node build.js || nodejs build.js

`darwin-x64-64` exists; testing
Binary is fine; exiting
npm ERR! Cannot read property 'length' of undefined

npm ERR! A complete log of this run can be found in:
npm ERR!     /Users/z/.npm/_logs/2020-06-30T14_14_52_288Z-debug.log

I don't know what's the problem. 🤷‍♂️

Event Timeline

Cparle created this task.Jun 26 2020, 9:49 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 26 2020, 9:49 AM
zeljkofilipin renamed this task from CI failures unrelated to patch to CI fails to install fibers@4.0.3.Jun 30 2020, 11:34 AM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
hashar added a subscriber: hashar.

I have no idea what is happening in the repository :-\

zeljkofilipin renamed this task from CI fails to install fibers@4.0.3 to fibers@4.0.3 fails to install in WikibaseMediaInfo.Jun 30 2020, 3:42 PM

Change 609156 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Add package name & version to package.json

https://gerrit.wikimedia.org/r/c/mediawiki/extensions/WikibaseMediaInfo/ /609156

Change 609156 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Add package name & version to package.json

https://gerrit.wikimedia.org/r/609156

Cparle closed this task as Resolved.Jul 7 2020, 1:47 PM